Subject: bug#79029: 30.1.90; Leuven theme causing strange frame issues?

From: Visuwesh <[email-masked]>
Date: Wed, 16 Jul 2025 08:51:12 +0530

[செவ்வாய் ஜூலை 15, 2025] Ken Mankoff wrote:

> Hello,
>
> I'm experiencing a bit of weird bug, but have successfuly reproduced it
> with a clean minimal setup and fixed it by commenting out one line from
> the Leuven theme.
>
> This line is causing the problem:
>
>    ;`(lui-highlight-face ((,class (:box '(:line-width 1 :color "#CC0000") :foreground "#CC0000" :background "#FFFF88")))) ; my nickname

This is a quoting problem.  This should instead say

    `(lui-highlight-face ((,class (:box (:line-width 1 :color "#CC0000") :foreground "#CC0000" :background "#FFFF88")))) ; my nickname

> The issue occurs in the following situation:
>
> I regularly bring up a new frame with `emacsclient -c -n`. I've just
> started to use emacs Slack integration, and when I launch
> `(slack-start)`, I get the following message
>
> face-spec-set-2: Invalid face box: quote, (:line-width 1 :color
> "#CC0000")
>
> And from then onward, when I try to bring up a new frame, I cannot. The
> *scratch* buffer opens in an existing frame.
>
> This is reproducible with a small init.el that only contains:
>
> ; set up use-package
> (load-theme 'leuven)
> (server-start)
> (use-package slack
>    ; Generic Slack conifg here
>    )
>
> When I comment out the `lui-highlight-face` above, the bug goes away.

Can you please try the above modification?